Package wx :: Package lib :: Package masked :: Module maskededit :: Class Field

[frames | no frames]

## Class Field

This class manages the individual fields in a masked edit control. Each field has a zero-based index, indicating its position in the control, an extent, an associated mask, and a plethora of optional parameters. Fields can be instantiated and then associated with parent masked controls, in order to provide field-specific configuration. Alternatively, fields will be implicitly created by the parent control if not provided at construction, at which point, the fields can then manipulated by the controls .SetFieldParameters() method.

Method Summary
| ``__init__`(self, **kwargs)` This is the "constructor" for setting up parameters for fields.
| ``IsEmpty`(self, slice)` Indicates whether the specified slice is considered empty for the field.
| ``IsValid`(self, slice)` Indicates whether the specified slice is considered a valid value for the field.

Class Variable Summary
`tuple` | `propagating_params` = `('fillChar', 'groupChar', 'decimalC...`
`dict` | `valid_params` = `{'formatcodes': '', 'fillChar': ' ', 'gro...`

Method Details

### __init__(self, **kwargs)
(Constructor)

This is the "constructor" for setting up parameters for fields. a field_index of -1 is used to indicate "the entire control."

### IsEmpty(self, slice)

Indicates whether the specified slice is considered empty for the field.

### IsValid(self, slice)

Indicates whether the specified slice is considered a valid value for the field.

Class Variable Details

### propagating_params

  Type:
    `tuple`
  Value:

        ('fillChar',
         'groupChar',
         'decimalChar',
         'useParensForNegatives',
         'compareNoCase',
         'emptyInvalid',
         'validRequired',
         'raiseOnInvalidPaste')

### valid_params

  Type:
    `dict`
  Value:

        {'autoSelect': False,
         'choiceRequired': False,
         'choices': [],
         'compareNoCase': False,
         'decimalChar': '.',
         'defaultValue': '',
         'description': '',
         'emptyInvalid': False,
        ...

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:46 2007 | http://epydoc.sf.net